// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#include "SCW_UK2Node_CallParentFunction.h"
#include "K2Node_CallParentFunction.h"
#include "SourcifyCoreUEWrapperModule.h"

using namespace Sourcify;

SCW_UK2Node_CallParentFunction::SCW_UK2Node_CallParentFunction(UK2Node_CallParentFunction* InK2Node_CallParentFunction) : SCW_UK2Node_CallFunction(InK2Node_CallParentFunction), K2Node_CallParentFunction(InK2Node_CallParentFunction)
{

}

UK2Node_CallParentFunction* SCW_UK2Node_CallParentFunction::ToUK2Node_CallParentFunction() const
{
	return K2Node_CallParentFunction;
}

ISCW_UK2Node_CallParentFunctionPtr SCW_UK2Node_CallParentFunction::ToUK2Node_CallParentFunctionPtr()
{
	return GetSharedThisAs<SCW_UK2Node_CallParentFunction>();
}

ISCW_UK2Node_CallParentFunctionConstPtr SCW_UK2Node_CallParentFunction::ToUK2Node_CallParentFunctionPtr() const
{
	return GetSharedThisAs<SCW_UK2Node_CallParentFunction>();
}